Package org.apache.sling.resourcemerger.api

## Class ResourceMergerUtil

- java.lang.Object
- - org.apache.sling.resourcemerger.api.ResourceMergerUtil

    public abstract class ResourceMergerUtil
    extends Object

Utility methods for merged resources.

Since:
  1.2

### Constructor Summary

Constructors
`ResourceMergerUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isMergedResource​(org.apache.sling.api.resource.Resource resource)` Returns `true` if the provided `Resource` is a merged resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceMergerUtil

    public ResourceMergerUtil()

### Method Detail

#### isMergedResource

    public static boolean isMergedResource​(org.apache.sling.api.resource.Resource resource)

Returns `true` if the provided `Resource` is a merged resource. If the resource is `null`, `false` is returned.

Parameters:
  `resource` - The resource
Returns:
  Returns `true` if the provided `Resource` is a merged resource.